Class | YARD::Server::RackAdapter
In: | lib/yard/server/rack_adapter.rb
Parent: | Adapter

A server adapter to respond to requests using the Rack server infrastructure.

### Methods

call start

### Included Modules

WEBrick::HTTPUtils

### Public Instance methods

call(env)

Responds to Rack requests and builds a response with the {Router}. @return [Array(Number,Hash,Array)] the Rack-style response

start()

Starts the +Rack::Server+. This method will pass control to the server and block. @return [void]

[Validate]